[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TBooleanHelper.TryToParse

Try to convert a string to a boolean value

## Declaration

Source position: syshelph.inc line 643

`public class function TBooleanHelper.TryToParse(`
`const S: string;`
`out AValue: Boolean`
`):Boolean;`

## Description

TryToParse will attempt to convert the string S to a boolean value. If the attempt is successful, True is returned, and the actual value is returned in AValue. If the attempt failed, False is returned.

## See also

TBooleanHelper.Parse |  | Convert string value to boolean value.
TBooleanHelper.ToString |  | Convert a boolean value to string.